> ## Documentation Index
> Fetch the complete documentation index at: https://docs.whop.com/llms.txt
> Use this file to discover all available pages before exploring further.

> ## Agent Instructions
> Treat these docs and the Whop MCP server as the source of truth for Whop API behavior. Don't infer endpoint behavior from marketing pages.
> MCP server: connect https://mcp.whop.com/mcp (streamable HTTP, browser sign-in, no API key in the client config) to search these docs and read or change live Whop data. Setup: https://docs.whop.com/developer/guides/ai_and_mcp.md
> Whop CLI: install with `curl -fsSL https://whop.com/install.sh | sh` to scaffold, run, and deploy Whop apps and websites. It acts on production, not the sandbox. Overview: https://docs.whop.com/cli/overview.md Agent mode: https://docs.whop.com/cli/agent-mode.md
> Hosting: Whop serves a site or app from the build `whop apps deploy` uploads, with rollbacks, secrets, and server logs. Guide: https://docs.whop.com/developer/websites/hosting.md
> Plugins: in Claude Code, run `/plugin marketplace add whopio/plugins`, then `/plugin install whop@whop`. Guide: https://docs.whop.com/developer/guides/plugins/claude-code.md Every agent tool: https://docs.whop.com/developer/ai/overview.md
> Environments: build and test in the sandbox (API `https://sandbox-api.whop.com/api/v1`, keys at https://sandbox.whop.com/dashboard/developer, SDK environment `Sandbox`; no real money). Production (API `https://api.whop.com/api/v1`, keys at https://whop.com/dashboard/developer, SDK environment `Production`, the SDK default) moves real money, so use it only at launch. The two share no accounts, keys, products, or webhooks, and their keys look identical: never mix them. Sandbox guide: https://docs.whop.com/developer/guides/sandbox.md Comparison: https://docs.whop.com/developer/quickstart.md
> API: send `Authorization: Bearer <API_KEY>` from your server only, and pin a dated version with the `Api-Version-Date` header. OpenAPI spec: https://api.whop.com/api/v1/openapi.json
> Which API: build on the Current API, whose pages live under https://docs.whop.com/api-reference/ (start at https://docs.whop.com/api-reference/overview.md). Pages under /api-reference/legacy/ are the Legacy API. Use one only when https://docs.whop.com/api-reference/stability.md lists the resource as Legacy-only.

# Alt Hesaplara Manuel Ödemeler

> Platform bakiyenizden alt hesaplara ödeme gönderin: onları KYC ile sisteme dahil edin, bir para çekme yöntemi ekleyin, varsayılan yöntemi alın ve bir para çekme oluşturun.

Platform bakiyenizden doğrudan alt hesaplarınıza ödeme gönderin. Alt hesapların para alabilmesi için kimlik doğrulamasını tamamlamaları ve bir para çekme yöntemi eklemeleri gerekir.

**1. KYC doğrulamasını tamamlayın**

Bir kullanıcının ödeme alabilmesi için kimlik doğrulamasını (KYC) tamamlaması gerekir. Kullanıcılara bu süreçte rehberlik etmek için barındırılan hesap kayıt akışını kullanın:

```typescript TypeScript theme={null}
import { WhopClient } from "@whop/sdk";

const client = new WhopClient({
  token: "Account API Key",
});

const accountLink = await client.accountLinks.create({
  account_id: "biz_xxxxxxxxxxxxx",
  use_case: "account_onboarding",
  return_url: "https://yourapp.com/onboarding/complete",
  refresh_url: "https://yourapp.com/onboarding/refresh",
});

// Redirect the user to complete KYC
console.log(accountLink.url);
```

```python Python theme={null}
from whop_sdk import Whop

client = Whop(
    token="Account API Key",
)

account_link = client.account_links.create(
    account_id="biz_xxxxxxxxxxxxx",
    use_case="account_onboarding",
    return_url="https://yourapp.com/onboarding/complete",
    refresh_url="https://yourapp.com/onboarding/refresh",
)

# Redirect the user to complete KYC
print(account_link.url)
```

```rust Rust theme={null}
use whop_sdk::prelude::*;

let config = ClientConfig {
    token: Some("Account API Key".to_string()),
    ..Default::default()
};
let client = Whop::new(config).expect("Failed to build client");

let account_link = client
    .account_links
    .create(
        &CreateAccountLinksRequest {
            account_id: "biz_xxxxxxxxxxxxx".to_string(),
            use_case: AccountLinkUseCases::AccountOnboarding,
            return_url: "https://yourapp.com/onboarding/complete".to_string(),
            refresh_url: "https://yourapp.com/onboarding/refresh".to_string(),
        },
        None,
    )
    .await?;

// Redirect the user to complete KYC
println!("{}", account_link.url);
```

```go Go theme={null}
import (
    "context"
    "fmt"
    "log"

    whopsdk "github.com/whopio/whopsdk-go/v2"
    "github.com/whopio/whopsdk-go/v2/client"
    "github.com/whopio/whopsdk-go/v2/option"
)

client := client.NewWhop(option.WithToken("Account API Key"))

accountLink, err := client.AccountLinks.Create(context.TODO(), &whopsdk.CreateAccountLinksRequest{
    AccountID:  "biz_xxxxxxxxxxxxx",
    UseCase:    whopsdk.AccountLinkUseCasesAccountOnboarding,
    ReturnURL:  "https://yourapp.com/onboarding/complete",
    RefreshURL: "https://yourapp.com/onboarding/refresh",
})
if err != nil {
    log.Fatal(err)
}

// Redirect the user to complete KYC
fmt.Println(accountLink.URL)
```

Kullanıcıyı yanıtta döndürülen `url` adresine yönlendirin. Doğrulamayı tamamladıktan sonra `return_url` adresinize geri yönlendirilirler.

**2. Bir para çekme yöntemi ekleyin**

Bir para çekme oluşturmadan önce hesabın bir para çekme yöntemine ihtiyacı vardır. [Withdraw öğesini](https://docs.whop.com/tr/elements/latest/wallet/withdraw.md) alt hesap için bir erişim token'ıyla yerleştirin. Öğe hesabın para çekme yöntemlerini listeler ve hiç yoksa yeni bir tane toplar:

```tsx React theme={null}
"use client";

import { WhopElements, Wallet, WithdrawElement } from "@whop/elements-react";
import { loadWhop } from "@whop/elements";

export function AddPayoutMethod({
  accountId,
  accessToken,
}: {
  accountId: string;
  accessToken: string;
}) {
  return (
    <WhopElements elements={loadWhop()}>
      <Wallet accountId={accountId} accessToken={accessToken}>
        <WithdrawElement />
      </Wallet>
    </WhopElements>
  );
}
```

[Alt Hesap Para Çekmelerini Etkinleştirin](https://docs.whop.com/tr/developer/platforms/render-payout-portal.md) sayfasında gösterildiği gibi `accessToken` değerini alt hesap için sunucunuzda oluşturun. Bunun yerine kullanıcıyı [barındırılan para çekme portalına](https://docs.whop.com/tr/developer/platforms/render-payout-portal.md#hosted-payout-portal) da gönderebilirsiniz. Bir PayPal hesabını yalnızca sahibi giriş yapıp hesabın kendisine ait olduğunu kanıtladıktan sonra kabul etmek için [bir PayPal para çekme yöntemi bağlayın](https://docs.whop.com/tr/developer/guides/connect-paypal-payout-method.md).

**3. Varsayılan para çekme yöntemini alın**

Alt hesabın para çekme yöntemlerini listeleyin ve `is_default: true` olanı bulun:

```typescript TypeScript theme={null}
import { WhopClient } from "@whop/sdk";

const client = new WhopClient({
  token: "Account API Key",
});

const payoutMethods = await client.payoutMethods.listPayoutMethod({
  account_id: "biz_xxxxxxxxxxxxx",
});

const defaultMethod = payoutMethods.data.find((method) => method.is_default);
console.log(defaultMethod?.id);
```

```python Python theme={null}
from whop_sdk import Whop

client = Whop(
    token="Account API Key",
)

payout_methods = client.payout_methods.list_payout_method(
    account_id="biz_xxxxxxxxxxxxx",
)

default_method = next((m for m in payout_methods.items if m.is_default), None)
print(default_method.id)
```

```rust Rust theme={null}
use whop_sdk::prelude::*;

let config = ClientConfig {
    token: Some("Account API Key".to_string()),
    ..Default::default()
};
let client = Whop::new(config).expect("Failed to build client");

let payout_methods = client
    .payout_methods
    .list_payout_method(
        &ListPayoutMethodQueryRequest {
            account_id: "biz_xxxxxxxxxxxxx".to_string(),
            ..Default::default()
        },
        None,
    )
    .await?;

let default_method = payout_methods.data.iter().find(|method| method.is_default);
println!("{:?}", default_method.map(|method| &method.id));
```

```go Go theme={null}
import (
    "context"
    "fmt"
    "log"

    whopsdk "github.com/whopio/whopsdk-go/v2"
    "github.com/whopio/whopsdk-go/v2/client"
    "github.com/whopio/whopsdk-go/v2/option"
)

client := client.NewWhop(option.WithToken("Account API Key"))

page, err := client.PayoutMethods.ListPayoutMethod(context.TODO(), &whopsdk.ListPayoutMethodRequest{
    AccountID: "biz_xxxxxxxxxxxxx",
})
if err != nil {
    log.Fatal(err)
}

var defaultMethod *whopsdk.PayoutMethodListItem
for _, method := range page.Results {
    if method.IsDefault {
        defaultMethod = method
        break
    }
}
if defaultMethod != nil {
    fmt.Println(defaultMethod.ID)
}
```

**4. Bir para çekme oluşturun**

API sürümü `2026-11-03` ve sonrası bir teklif gerektirir. Önce göndereceğiniz hesap, para çekme yöntemi, tutar, para birimi ve hızla `POST /payouts/quotes` çağırın:

```bash theme={null}
curl https://api.whop.com/api/v1/payouts/quotes \
  -H "Authorization: Bearer $WHOP_API_KEY" \
  -H "Api-Version-Date: 2026-11-03" \
  -H "Idempotency-Key: payout-quote-unique-key" \
  -H "Content-Type: application/json" \
  -d '{"account_id":"biz_xxxxxxxxxxxxx","payout_method_id":"potk_xxxxxxxxxxxxx","amount":100,"currency":"usd","speed":"standard"}'
```

Aşağıdaki `QUOTE_TOKEN_FROM_RESPONSE` değerini döndürülen `quote_token` ile değiştirin ve `expires_at` öncesinde gönderin. Bir para çekme isteği zaman aşımına uğrarsa aynı para çekme `Idempotency-Key` değeri ve orijinal token ile yeniden deneyin. Teklif isteği için farklı bir anahtar kullanın.

```typescript TypeScript theme={null}
import { WhopClient } from "@whop/sdk";

const client = new WhopClient({
  token: "Account API Key",
});

const payout = await client.payouts.create({
  account_id: "biz_xxxxxxxxxxxxx",
  amount: 100.0,
  currency: "usd",
  payout_method_id: "potk_xxxxxxxxxxxxx",
  quote_token: "QUOTE_TOKEN_FROM_RESPONSE",
});

console.log(payout.id);
```

```python Python theme={null}
from whop_sdk import Whop

client = Whop(
    token="Account API Key",
)

payout = client.payouts.create(
    request={
        "account_id": "biz_xxxxxxxxxxxxx",
        "amount": 100.0,
        "currency": "usd",
        "payout_method_id": "potk_xxxxxxxxxxxxx",
        "quote_token": "QUOTE_TOKEN_FROM_RESPONSE",
    },
)

print(payout.id)
```

```rust Rust theme={null}
use whop_sdk::prelude::*;

let config = ClientConfig {
    token: Some("Account API Key".to_string()),
    ..Default::default()
};
let client = Whop::new(config).expect("Failed to build client");

let payout = client
    .payouts
    .create(
        &CreatePayoutsRequestBody::Value(json!({
            "account_id": "biz_xxxxxxxxxxxxx",
            "amount": 100.0,
            "currency": "usd",
            "payout_method_id": "potk_xxxxxxxxxxxxx",
            "quote_token": "QUOTE_TOKEN_FROM_RESPONSE",
        })),
        None,
    )
    .await?;

println!("{}", payout.id);
```

```go Go theme={null}
import (
    "context"
    "fmt"
    "log"

    whopsdk "github.com/whopio/whopsdk-go/v2"
    "github.com/whopio/whopsdk-go/v2/client"
    "github.com/whopio/whopsdk-go/v2/option"
)

client := client.NewWhop(option.WithToken("Account API Key"))

payout, err := client.Payouts.Create(context.TODO(), &whopsdk.CreatePayoutsRequestBody{
    Unknown: map[string]any{
        "account_id":       "biz_xxxxxxxxxxxxx",
        "amount":           100.0,
        "currency":         "usd",
        "payout_method_id": "potk_xxxxxxxxxxxxx",
        "quote_token": "QUOTE_TOKEN_FROM_RESPONSE",
    },
})
if err != nil {
    log.Fatal(err)
}

fmt.Println(payout.ID)
```

Bu örnekte:

* `account_id`, ödeme yapılacak alt hesaptır
* `amount`, para çekme tutarıdır (100,00 USD); ücretler bu tutardan düşülür
* `currency`, ISO para birimi kodudur
* `payout_method_id`, kullanılacak para çekme yönteminin kimliğidir (3. adımdan)

Tutar kullanılabilir bakiyeyi aşarsa istek bir hata döndürür.

### Alt hesaplarınızın para çekme ücretlerini karşılayın

Varsayılan olarak para çekme ücretleri alt hesabın bakiyesinden düşülür. Hem teklif isteğinde hem de para çekme isteğinde `platform_covers_fees` değerini `true` olarak ayarlayarak bu ücretleri bunun yerine platform bakiyenizden karşılamayı seçebilirsiniz:

```typescript TypeScript theme={null}
const payout = await client.payouts.create({
  account_id: "biz_xxxxxxxxxxxxx",
  amount: 100.0,
  currency: "usd",
  payout_method_id: "potk_xxxxxxxxxxxxx",
  quote_token: "QUOTE_TOKEN_FROM_RESPONSE",
  platform_covers_fees: true,
});
```

```python Python theme={null}
payout = client.payouts.create(
    request={
        "account_id": "biz_xxxxxxxxxxxxx",
        "amount": 100.0,
        "currency": "usd",
        "payout_method_id": "potk_xxxxxxxxxxxxx",
        "quote_token": "QUOTE_TOKEN_FROM_RESPONSE",
        "platform_covers_fees": True,
    },
)
```

```rust Rust theme={null}
client
    .payouts
    .create(
        &CreatePayoutsRequestBody::Value(json!({
            "account_id": "biz_xxxxxxxxxxxxx",
            "amount": 100.0,
            "currency": "usd",
            "payout_method_id": "potk_xxxxxxxxxxxxx",
            "quote_token": "QUOTE_TOKEN_FROM_RESPONSE",
            "platform_covers_fees": true
        })),
        None,
    )
    .await?;
```

```go Go theme={null}
_, err := client.Payouts.Create(context.TODO(), &whopsdk.CreatePayoutsRequestBody{
    Unknown: map[string]any{
        "account_id":           "biz_xxxxxxxxxxxxx",
        "amount":               100.0,
        "currency":             "usd",
        "payout_method_id":     "potk_xxxxxxxxxxxxx",
        "quote_token": "QUOTE_TOKEN_FROM_RESPONSE",
        "platform_covers_fees": true,
    },
})
if err != nil {
    log.Fatal(err)
}
```

`platform_covers_fees` değeri `true` olduğunda alt hesap para çekme tutarının tamamını alır ve ücret bunun yerine platformunuzun bakiyesinden düşülür. Bu, platformunuzun ücret karşılama politikasının para çekme yöntemini kapsamasını veya alt hesaplarınızın ücretlerini yönetmeye yetkili bir API anahtarını gerektirir.

## API referansı

> [card] [Create Payout API](https://docs.whop.com/tr/api-reference/payouts/create-payout.md)
>
> Para çekme oluşturma için API referansının tamamına bakın

## İlgili kaynaklar

> [card] [Alt hesaplara ödeme yapın](https://docs.whop.com/tr/developer/platforms/collect-payments-for-subaccounts.md)
>
> Alt hesaplarınıza para transfer edin

> [card] [Para çekme portalını görüntüleyin](https://docs.whop.com/tr/developer/platforms/render-payout-portal.md)
>
> Kullanıcılarınızın paralarını çekmesine izin verin


## Related topics

- [Platform Hızlı Başlangıcı](https://docs.whop.com/tr/developer/platforms/quickstart.md)
- [Alt Hesap Para Çekmelerini Etkinleştirin](https://docs.whop.com/tr/developer/platforms/render-payout-portal.md)
- [Alt Hesaplar İçin Ödeme Tahsil Edin](https://docs.whop.com/tr/developer/platforms/collect-payments-for-subaccounts.md)
